{
	"component": "form",
	"attribute": {
		"name": "pr_Input",
		"style": ["position:absolute", "left:0px", "top:0px", "width:936px", "height:635px"]
	},
	"children": [
		{
			"attribute": {
				"id": "PR_HS_PRODUCT_ID",
				"style": ["position:absolute", "left:20px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "TUNNUS"
		},
		{
			"attribute": {
				"id": "PR_FS_PRODUCT_ID",
				"name": "PR_FS_PRODUCT_ID",
				"style": ["position:absolute", "left:192px", "top:35px", "width:724px", "height:15px"],
				"type": "text",
				"value": "KORKO2"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_NAME",
				"style": ["position:absolute", "left:20px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Nimi"
		},
		{
			"attribute": {
				"id": "PR_FS_NAME",
				"name": "PR_FS_NAME",
				"style": ["position:absolute", "left:192px", "top:57px", "width:724px", "height:15px"],
				"type": "text",
				"value": "Laserleikkaus KORKO2 -"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_PRODUCTION_CONTROL_TYPE",
				"style": ["position:absolute", "left:20px", "top:101px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Tilaus/Varasto-osa"
		},
		{
			"attribute": {
				"style": ["position:absolute", "left:192px", "top:100px", "width:310px", "height:17px"]
			},
			"children": [
				{
					"component": "legend",
					"content": "$6"
				}
			],
			"component": "fieldset"
		},
		{
			"attribute": {
				"name": "PRFI_LBORDERPART",
				"style": ["position:absolute", "left:192px", "top:103px", "width:125px", "height:17px"]
			},
			"component": "button",
			"content": "Order Part"
		},
		{
			"attribute": {
				"name": "PRFI_LBSTOCKPART",
				"style": ["position:absolute", "left:332px", "top:103px", "width:170px", "height:17px"]
			},
			"component": "button",
			"content": "Stock Part"
		},
		{
			"attribute": {
				"id": "PR_HS_TYPE_",
				"style": ["position:absolute", "left:20px", "top:123px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Tyyppi"
		},
		{
			"attribute": {
				"id": "PR_ASPOPTYPE_",
				"style": ["position:absolute", "left:192px", "top:122px", "width:102px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "PR_HS_RAW_MATERIAL_DELIVERY_TIM",
				"style": ["position:absolute", "left:332px", "top:123px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "RA toimitusaika (vko)"
		},
		{
			"attribute": {
				"name": "PR_FR_RAW_MATERIAL_DELIVERY_TIM",
				"style": ["position:absolute", "left:554px", "top:123px", "width:90px", "height:15px"],
				"type": "text",
				"value": "2"
			},
			"component": "input"
		},
		{
			"attribute": {
				"style": ["position:absolute", "left:20px", "top:167px", "width:274px", "height:125px"]
			},
			"children": [
				{
					"component": "legend",
					"content": "$6"
				}
			],
			"component": "fieldset"
		},
		{
			"attribute": {
				"id": "PR_HS_STOCK_LIMIT_CALC_TYPE",
				"style": ["position:absolute", "left:20px", "top:167px", "width:270px", "height:15px"]
			},
			"component": "label",
			"content": "Hälytysrajan laskentatapa"
		},
		{
			"attribute": {
				"name": "SPRFI_LBSTATIC",
				"style": ["position:absolute", "left:30px", "top:190px", "width:264px", "height:17px"]
			},
			"component": "button",
			"content": "Kiinteä"
		},
		{
			"attribute": {
				"name": "SPRFI_LBWEEKESTIMATE",
				"style": ["position:absolute", "left:30px", "top:212px", "width:264px", "height:17px"]
			},
			"component": "button",
			"content": "Viikkoennustetta + varaosia"
		},
		{
			"attribute": {
				"name": "SPRFI_LBYEARESTIMATE",
				"style": ["position:absolute", "left:30px", "top:234px", "width:264px", "height:17px"]
			},
			"component": "button",
			"content": "Vuosiennustetta"
		},
		{
			"attribute": {
				"name": "SPRFI_LBACTUALUSAGE",
				"style": ["position:absolute", "left:30px", "top:256px", "width:264px", "height:17px"]
			},
			"component": "button",
			"content": "Toteutunutta menekkiä"
		},
		{
			"attribute": {
				"name": "SPRFI_LBBIGGEROFYEAR_ACTUAL",
				"style": ["position:absolute", "left:30px", "top:278px", "width:264px", "height:17px"]
			},
			"component": "button",
			"content": "Suurempi vuosienn. / toteutuneesta"
		},
		{
			"attribute": {
				"name": "PRFI_LPLGSTESTIMATE",
				"style": ["position:absolute", "left:20px", "top:300px", "width:274px", "height:295px"],
				"type": "text",
				"value": "48085540"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MANUFACTURING_NEED",
				"style": ["position:absolute", "left:332px", "top:167px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Tuotantoennuste (kpl/vuosi)"
		},
		{
			"attribute": {
				"name": "PR_FR_MANUFACTURING_NEED",
				"style": ["position:absolute", "left:554px", "top:167px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MINIMUM_STOCK",
				"style": ["position:absolute", "left:332px", "top:189px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Minimivarasto (kpl)"
		},
		{
			"attribute": {
				"name": "PR_FR_MINIMUM_STOCK",
				"style": ["position:absolute", "left:554px", "top:189px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MAX_WANTED_STOCK_BALANCE",
				"style": ["position:absolute", "left:332px", "top:211px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Haluttu maksimivarasto"
		},
		{
			"attribute": {
				"name": "PR_FR_MAX_WANTED_STOCK_BALANCE",
				"style": ["position:absolute", "left:554px", "top:211px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_SAFETY_STOCK_DURATION",
				"style": ["position:absolute", "left:332px", "top:233px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Varmuusvaraston kesto (viikkoa)"
		},
		{
			"attribute": {
				"name": "PR_FR_SAFETY_STOCK_DURATION",
				"style": ["position:absolute", "left:554px", "top:233px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_RSAFESTOCKNEED",
				"style": ["position:absolute", "left:664px", "top:233px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_NORMAL_DELIVERY_LOT_SIZE",
				"style": ["position:absolute", "left:332px", "top:255px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Normaali toimituserä (kpl)"
		},
		{
			"attribute": {
				"name": "PR_FR_NORMAL_DELIVERY_LOT_SIZE",
				"style": ["position:absolute", "left:554px", "top:255px", "width:90px", "height:15px"],
				"type": "text",
				"value": "1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_UNFINISHED_ORDERS_IN_WEEK",
				"style": ["position:absolute", "left:332px", "top:277px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Tilauksia sisällä (viikkoa)"
		},
		{
			"attribute": {
				"name": "PR_FR_UNFINISHED_ORDERS_IN_WEEK",
				"style": ["position:absolute", "left:554px", "top:277px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_FL_DYNAMIC_ACT_LIMIT_IN_USE",
				"style": ["position:absolute", "left:554px", "top:297px", "width:274px", "height:17px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_DYNAMIC_ACT_LIMIT_MIN_VAL",
				"style": ["position:absolute", "left:332px", "top:321px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Häl. rajan min. arvo"
		},
		{
			"attribute": {
				"name": "PR_FR_DYNAMIC_ACT_LIMIT_MIN_VAL",
				"style": ["position:absolute", "left:554px", "top:321px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_FR_DYNAMIC_ACT_LIMIT_MAX_VAL",
				"style": ["position:absolute", "left:664px", "top:321px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_EST_WORK_TIME",
				"style": ["position:absolute", "left:332px", "top:365px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Arvioitu työaika (t/oletuserä)"
		},
		{
			"attribute": {
				"name": "PR_FR_EST_WORK_TIME",
				"style": ["position:absolute", "left:554px", "top:365px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MANUFACTURING_AVERAGE_NEE",
				"style": ["position:absolute", "left:332px", "top:387px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Tuotantoennusteen ka. kulutus"
		},
		{
			"attribute": {
				"name": "PR_FR_MANUFACTURING_AVERAGE_NEE",
				"style": ["position:absolute", "left:554px", "top:387px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_ACTUAL_AVERAGE_NEED",
				"style": ["position:absolute", "left:332px", "top:409px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Todellinen ka. kulutus"
		},
		{
			"attribute": {
				"name": "PR_FR_ACTUAL_AVERAGE_NEED",
				"style": ["position:absolute", "left:554px", "top:409px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_ESTIMATED_AVERAGE_NEED",
				"style": ["position:absolute", "left:332px", "top:431px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Ennusteen ka menekki"
		},
		{
			"attribute": {
				"name": "PR_TAVGNEEDCALCULATIONMODE",
				"style": ["position:absolute", "left:465px", "top:431px", "width:48px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_FR_ESTIMATED_AVERAGE_NEED",
				"style": ["position:absolute", "left:554px", "top:431px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_RDYNAMESTIMAVGNEED",
				"style": ["position:absolute", "left:664px", "top:431px", "width:252px", "height:15px"],
				"type": "text",
				"value": "-1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MANUFACTURING_CYCLE_TIME",
				"style": ["position:absolute", "left:332px", "top:453px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Valmistuksen kesto"
		},
		{
			"attribute": {
				"name": "PR_FR_MANUFACTURING_CYCLE_TIME",
				"style": ["position:absolute", "left:554px", "top:453px", "width:90px", "height:15px"],
				"type": "text",
				"value": "2"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT",
				"name": "PR_FS_UNIT",
				"style": ["position:absolute", "left:622px", "top:475px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_TDYNAMMANUFACTURINGCYCLE",
				"style": ["position:absolute", "left:664px", "top:453px", "width:252px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_ACTION_LIMIT__UNIT",
				"style": ["position:absolute", "left:332px", "top:475px", "width:200px", "height:15px"]
			},
			"component": "label",
			"content": "Häl. raja/yks"
		},
		{
			"attribute": {
				"name": "PR_FR_ACTION_LIMIT__UNIT",
				"style": ["position:absolute", "left:554px", "top:475px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_RACTIONLIMIT_UNIT2",
				"style": ["position:absolute", "left:664px", "top:475px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT_2",
				"name": "PR_FS_UNIT_2",
				"style": ["position:absolute", "left:732px", "top:475px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PR_RDYNAMICACTIONLIMIT",
				"style": ["position:absolute", "left:774px", "top:475px", "width:142px", "height:15px"],
				"type": "text",
				"value": "-1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_ALARM_LEVEL_OLD",
				"style": ["position:absolute", "left:332px", "top:497px", "width:200px", "height:15px"]
			},
			"component": "label",
			"content": "Vanha hälytysraja"
		},
		{
			"attribute": {
				"name": "PRFI_RSTALARMLEVEL_OLD",
				"style": ["position:absolute", "left:554px", "top:497px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MAX_PRODUCTION_AMOUNT",
				"style": ["position:absolute", "left:332px", "top:541px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Maksimi tuotantomäärä"
		},
		{
			"attribute": {
				"name": "PR_FR_MAX_PRODUCTION_AMOUNT",
				"style": ["position:absolute", "left:554px", "top:541px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_MIN_PURCHASE_AMOUNT__UNIT",
				"style": ["position:absolute", "left:332px", "top:563px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Minimi hankintaerä"
		},
		{
			"attribute": {
				"name": "PR_FR_MIN_PURCHASE_AMOUNT__UNIT",
				"style": ["position:absolute", "left:554px", "top:563px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_ECONOMIC_ORDER_QUANTITY",
				"style": ["position:absolute", "left:664px", "top:541px", "width:190px", "height:15px"]
			},
			"component": "label",
			"content": "Taloudellinen tuotantoerä"
		},
		{
			"attribute": {
				"name": "PR_RECONOMICORDERQUANTITY",
				"style": ["position:absolute", "left:664px", "top:563px", "width:90px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:80px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:146px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"name": "PRFI_LBSTOCKINFOCALCULATE",
				"style": ["position:absolute", "left:534px", "top:478px", "width:16px", "height:16px"]
			},
			"component": "button",
			"content": "Laske"
		},
		{
			"attribute": {
				"name": "PRFI_LBEOQCALCULATE",
				"style": ["position:absolute", "left:863px", "top:544px", "width:18px", "height:16px"]
			},
			"component": "button",
			"content": "Laske"
		},
		{
			"attribute": {
				"name": "Text",
				"style": ["position:absolute", "left:651px", "top:321px", "width:17px", "height:15px"],
				"type": "text",
				"value": "Text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "PRFI_LBEOQCALCULATE",
				"style": ["position:absolute", "left:774px", "top:565px", "width:90px", "height:20px"]
			},
			"component": "button",
			"content": "Laske"
		},
		{
			"attribute": {
				"name": "PRFI_LBSTOCKINFOCALCULATE",
				"style": ["position:absolute", "left:664px", "top:498px", "width:90px", "height:20px"]
			},
			"component": "button",
			"content": "Laske"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:330px",
					"top:346px",
					"width:596px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:330px",
					"top:522px",
					"width:596px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT",
				"name": "PR_FS_UNIT",
				"style": ["position:absolute", "left:622px", "top:541px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT",
				"name": "PR_FS_UNIT",
				"style": ["position:absolute", "left:622px", "top:563px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_NORMAL_PURCHASE_AMOUNT",
				"style": ["position:absolute", "left:332px", "top:585px", "width:220px", "height:15px"]
			},
			"component": "label",
			"content": "Normaali hankintaerä"
		},
		{
			"attribute": {
				"name": "PR_FR_NORMAL_PURCHASE_AMOUNT",
				"style": ["position:absolute", "left:554px", "top:585px", "width:65px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT",
				"name": "PR_FS_UNIT",
				"style": ["position:absolute", "left:622px", "top:585px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_FS_UNIT",
				"name": "PR_FS_UNIT",
				"style": ["position:absolute", "left:732px", "top:233px", "width:22px", "height:15px"],
				"type": "text",
				"value": "kpl"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "PR_HS_STOCK_LIMIT_CALC_TYPE",
				"style": ["position:absolute", "left:783px", "top:104px", "width:270px", "height:15px"]
			},
			"component": "label",
			"content": "Hälytysrajan laskentatapa"
		}
	],
	"comment": "inputLabel  PR_HS_STOCK_LIMIT_CALC_TYPE [783,104,270,15] \"Hälytysrajan laskentatapa\" \"$7\" \"$8\" \"$9\""
}
